
src/main.o:     file format elf32-xtensa-le


Disassembly of section .irom0.text:

00000000 <user_rf_cal_sector_set-0x8>:
	...

00000008 <user_rf_cal_sector_set>:
//------------------------------------------------------
#define LED 2
#define BUTTON 4
//------------------------------------------------------
uint32 ICACHE_FLASH_ATTR user_rf_cal_sector_set(void)
{
   8:	e0c112        	addi	a1, a1, -32
   b:	7109      	s32i.n	a0, a1, 28
   d:	61f9      	s32i.n	a15, a1, 24
   f:	20f110        	or	a15, a1, a1
    enum flash_size_map size_map = system_get_flash_size_map();
  12:	fffc01        	l32r	a0, 4 <user_rf_cal_sector_set-0x4>
  15:	0000c0        	callx0	a0
  18:	1f29      	s32i.n	a2, a15, 4
    uint32 rf_cal_sec = 0;
  1a:	020c      	movi.n	a2, 0
  1c:	0f29      	s32i.n	a2, a15, 0

    switch (size_map) {
  1e:	1f28      	l32i.n	a2, a15, 4
  20:	2e72f6        	bgeui	a2, 7, 52 <user_rf_cal_sector_set+0x4a>
  23:	1f28      	l32i.n	a2, a15, 4
  25:	1132e0        	slli	a3, a2, 2
  28:	fff621        	l32r	a2, 0 <user_rf_cal_sector_set-0x8>
  2b:	232a      	add.n	a2, a3, a2
  2d:	0228      	l32i.n	a2, a2, 0
  2f:	0002a0        	jx	a2
        case FLASH_SIZE_4M_MAP_256_256:
            rf_cal_sec = 128 - 8;
  32:	78a022        	movi	a2, 120
  35:	0f29      	s32i.n	a2, a15, 0
            break;
  37:	000746        	j	58 <user_rf_cal_sector_set+0x50>

        case FLASH_SIZE_8M_MAP_512_512:
            rf_cal_sec = 256 - 5;
  3a:	fba022        	movi	a2, 251
  3d:	0f29      	s32i.n	a2, a15, 0
            break;
  3f:	000546        	j	58 <user_rf_cal_sector_set+0x50>

        case FLASH_SIZE_16M_MAP_512_512:
        case FLASH_SIZE_16M_MAP_1024_1024:
            rf_cal_sec = 512 - 5;
  42:	fba122        	movi	a2, 0x1fb
  45:	0f29      	s32i.n	a2, a15, 0
            break;
  47:	000346        	j	58 <user_rf_cal_sector_set+0x50>

        case FLASH_SIZE_32M_MAP_512_512:
        case FLASH_SIZE_32M_MAP_1024_1024:
            rf_cal_sec = 1024 - 5;
  4a:	fba322        	movi	a2, 0x3fb
  4d:	0f29      	s32i.n	a2, a15, 0
            break;
  4f:	000146        	j	58 <user_rf_cal_sector_set+0x50>

        default:
            rf_cal_sec = 0;
  52:	020c      	movi.n	a2, 0
  54:	0f29      	s32i.n	a2, a15, 0
            break;
  56:	f03d      	nop.n
    }
    return rf_cal_sec;
  58:	0f28      	l32i.n	a2, a15, 0
}
  5a:	0f1d      	mov.n	a1, a15
  5c:	7108      	l32i.n	a0, a1, 28
  5e:	61f8      	l32i.n	a15, a1, 24
  60:	20c112        	addi	a1, a1, 32
  63:	f00d      	ret.n
  65:	000000        	ill
  68:	0838      	l32i.n	a3, a8, 0
  6a:	3c6000        	excw
  6d:	0008      	l32i.n	a0, a0, 0
  6f:	86a060        	excw
  72:	000001        	l32r	a0, fffc0074 <user_init+0xfffbffd8>
	...

0000009c <user_init>:
//------------------------------------------------------
void ICACHE_FLASH_ATTR user_init()
{
  9c:	f0c112        	addi	a1, a1, -16
  9f:	3109      	s32i.n	a0, a1, 12
  a1:	0261f2        	s32i	a15, a1, 8
  a4:	01fd      	mov.n	a15, a1
  gpio_init();
  a6:	fff301        	l32r	a0, 74 <user_rf_cal_sector_set+0x6c>
  a9:	0000c0        	callx0	a0
  PIN_FUNC_SELECT(PERIPHS_IO_MUX_GPIO2_U, FUNC_GPIO2);
  ac:	ffef21        	l32r	a2, 68 <user_rf_cal_sector_set+0x60>
  af:	ffee31        	l32r	a3, 68 <user_rf_cal_sector_set+0x60>
  b2:	0348      	l32i.n	a4, a3, 0
  b4:	cfae32        	movi	a3, 0xfffffecf
  b7:	103430        	and	a3, a4, a3
  ba:	0239      	s32i.n	a3, a2, 0
  PIN_FUNC_SELECT(PERIPHS_IO_MUX_GPIO4_U, FUNC_GPIO4);
  bc:	ffec21        	l32r	a2, 6c <user_rf_cal_sector_set+0x64>
  bf:	ffeb31        	l32r	a3, 6c <user_rf_cal_sector_set+0x64>
  c2:	0348      	l32i.n	a4, a3, 0
  c4:	cfae32        	movi	a3, 0xfffffecf
  c7:	103430        	and	a3, a4, a3
  ca:	0239      	s32i.n	a3, a2, 0
  PIN_PULLUP_EN(PERIPHS_IO_MUX_GPIO4_U);
  cc:	ffe821        	l32r	a2, 6c <user_rf_cal_sector_set+0x64>
  cf:	ffe731        	l32r	a3, 6c <user_rf_cal_sector_set+0x64>
  d2:	0348      	l32i.n	a4, a3, 0
  d4:	80a032        	movi	a3, 128
  d7:	203430        	or	a3, a4, a3
  da:	0239      	s32i.n	a3, a2, 0
  gpio_output_set(0, 0, (1 << LED), 0);
  dc:	050c      	movi.n	a5, 0
  de:	440c      	movi.n	a4, 4
  e0:	030c      	movi.n	a3, 0
  e2:	020c      	movi.n	a2, 0
  e4:	ffe501        	l32r	a0, 78 <user_rf_cal_sector_set+0x70>
  e7:	0000c0        	callx0	a0
  gpio_output_set(0, 0, 0, (1 << BUTTON));
  ea:	051c      	movi.n	a5, 16
  ec:	040c      	movi.n	a4, 0
  ee:	030c      	movi.n	a3, 0
  f0:	020c      	movi.n	a2, 0
  f2:	ffe201        	l32r	a0, 7c <user_rf_cal_sector_set+0x74>
  f5:	0000c0        	callx0	a0
  while(1)
  {
    ets_delay_us(100000);
  f8:	ffde21        	l32r	a2, 70 <user_rf_cal_sector_set+0x68>
  fb:	ffe101        	l32r	a0, 80 <user_rf_cal_sector_set+0x78>
  fe:	0000c0        	callx0	a0
    system_soft_wdt_feed();
 101:	ffe001        	l32r	a0, 84 <user_rf_cal_sector_set+0x7c>
 104:	0000c0        	callx0	a0
    if(!((gpio_input_get()>>BUTTON) & BIT0))
 107:	ffe001        	l32r	a0, 88 <user_rf_cal_sector_set+0x80>
 10a:	0000c0        	callx0	a0
 10d:	023d      	mov.n	a3, a2
 10f:	021c      	movi.n	a2, 16
 111:	102320        	and	a2, a3, a2
 114:	c2cc      	bnez.n	a2, 124 <user_init+0x88>
    {
      gpio_output_set(0, (1 << LED), 0, 0);
 116:	050c      	movi.n	a5, 0
 118:	040c      	movi.n	a4, 0
 11a:	430c      	movi.n	a3, 4
 11c:	020c      	movi.n	a2, 0
 11e:	ffdb01        	l32r	a0, 8c <user_rf_cal_sector_set+0x84>
 121:	0000c0        	callx0	a0
    }
    ets_delay_us(100000);
 124:	ffd321        	l32r	a2, 70 <user_rf_cal_sector_set+0x68>
 127:	ffda01        	l32r	a0, 90 <user_rf_cal_sector_set+0x88>
 12a:	0000c0        	callx0	a0
    system_soft_wdt_feed();
 12d:	ffd901        	l32r	a0, 94 <user_rf_cal_sector_set+0x8c>
 130:	0000c0        	callx0	a0
    gpio_output_set((1 << LED), 0, 0, 0);
 133:	050c      	movi.n	a5, 0
 135:	040c      	movi.n	a4, 0
 137:	030c      	movi.n	a3, 0
 139:	420c      	movi.n	a2, 4
 13b:	ffd701        	l32r	a0, 98 <user_rf_cal_sector_set+0x90>
 13e:	0000c0        	callx0	a0
  }
 141:	ffecc6        	j	f8 <user_init+0x5c>
